Subject: Re: [PATCH] gnome-tweaks fails to start on core-updates-frozen

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 11 Nov 2021 21:43:37 +0100

Hi,

Am Mittwoch, den 10.11.2021, 20:20 +0000 schrieb Vivien Kraus:
> Apparently, we shouldn’t apply guix style yet, we will apply it for
> all packages at once some day.
I don't think it's a rule that you can't at all; rather that you
shouldn't when you're not already touching that package.  Then again,
I'll leave the decision to you and the experts who actually work on
core-updates-frozen :)

> > Note, libhandy 0.0 only exists on master (and therefore core-
> > updates), because there are packages still using it.  If there's no
> > more users post updating gnome-tweaks, it is to be removed!
> I tried, but there are 2 problems:
> 1. I can’t update authenticator (gnu/packages/gnome.scm), because
> upstream switched to Rust and I don’t know how to package that;
> 2. Geary needs it too (and gmime 2, which we could drop the same
> way), but it’s a pain to upgrade. I went a long way, but there’s some
> vala code that acts on strings as if they were arrays and I don’t
> know what happens: maybe a newer vala is required, or the glib string
> type does not apply for some reason.
Fair enough, that's a few users more than I remembered.

> > > Subject: [PATCH 2/5] gnu: gnome-tweaks: Set the python path.
> > Nice catch, I think this was previously done by a different phase. 
> > However...
> > > gnu/packages/gnome.scm (gnome-tweaks)[phases]: Also wrap with
> > > GUIX_PYTHONPATH.
> > Please note the phase and perhaps change its name to reflect what
> > it
> > does.
> Is the 'wrap-gi-typelib-and-python boring name appropriate?
Good enough for me, there's some similar phase names flying around in
gnome.scm.

> > > Subject: [PATCH 4/5] gnu: gnome-tweaks: Add bash-minimal as an
> > > input to wrap the program.
> > Split the long line.  Also perhaps add a comment in the file itself
> > as to why this is needed if it's not already obvious from best
> > practises in core-updates-frozen.
> It’s flagged by the linter, because wrapping a program produces a
> shell script that needs to be executed.
"Flagged by the linter" is not a good description in a commit message
or elsewhere.  I think a few packages on c-u-frozen might have a
comment along the lines of "; for wrap-program" or similar.

Cheers